package org.wfc.omada.api.hotspot.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * FormAuthResultOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:35:35.496+08:00[Asia/Shanghai]")

public class FormAuthResultOpenApiVo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("formId")
  private String formId;

  @JsonProperty("answers")
  @Valid
  private List<FormAuthCardAnswerOpenApiVo> answers = null;

  @JsonProperty("time")
  private Long time;

  @JsonProperty("ssid")
  private String ssid;

  @JsonProperty("network")
  private String network;

  public FormAuthResultOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Form result ID
   * @return id
  */
  @ApiModelProperty(value = "Form result ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public FormAuthResultOpenApiVo formId(String formId) {
    this.formId = formId;
    return this;
  }

  /**
   * This field represents authentication survey ID. Authentication survey can be created using 'Create a new authentication survey' interface, and authentication survey ID can be obtained from 'Get authentication survey list' interface.
   * @return formId
  */
  @ApiModelProperty(value = "This field represents authentication survey ID. Authentication survey can be created using 'Create a new authentication survey' interface, and authentication survey ID can be obtained from 'Get authentication survey list' interface.")


  public String getFormId() {
    return formId;
  }

  public void setFormId(String formId) {
    this.formId = formId;
  }

  public FormAuthResultOpenApiVo answers(List<FormAuthCardAnswerOpenApiVo> answers) {
    this.answers = answers;
    return this;
  }

  public FormAuthResultOpenApiVo addAnswersItem(FormAuthCardAnswerOpenApiVo answersItem) {
    if (this.answers == null) {
      this.answers = new ArrayList<>();
    }
    this.answers.add(answersItem);
    return this;
  }

  /**
   * Answers submitted by users.
   * @return answers
  */
  @ApiModelProperty(value = "Answers submitted by users.")

  @Valid

  public List<FormAuthCardAnswerOpenApiVo> getAnswers() {
    return answers;
  }

  public void setAnswers(List<FormAuthCardAnswerOpenApiVo> answers) {
    this.answers = answers;
  }

  public FormAuthResultOpenApiVo time(Long time) {
    this.time = time;
    return this;
  }

  /**
   * Authenticated timestamp in ms.
   * @return time
  */
  @ApiModelProperty(value = "Authenticated timestamp in ms.")


  public Long getTime() {
    return time;
  }

  public void setTime(Long time) {
    this.time = time;
  }

  public FormAuthResultOpenApiVo ssid(String ssid) {
    this.ssid = ssid;
    return this;
  }

  /**
   * Client connected SSID.
   * @return ssid
  */
  @ApiModelProperty(value = "Client connected SSID.")


  public String getSsid() {
    return ssid;
  }

  public void setSsid(String ssid) {
    this.ssid = ssid;
  }

  public FormAuthResultOpenApiVo network(String network) {
    this.network = network;
    return this;
  }

  /**
   * Network (exists when wired connection).
   * @return network
  */
  @ApiModelProperty(value = "Network (exists when wired connection).")


  public String getNetwork() {
    return network;
  }

  public void setNetwork(String network) {
    this.network = network;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FormAuthResultOpenApiVo formAuthResultOpenApiVo = (FormAuthResultOpenApiVo) o;
    return Objects.equals(this.id, formAuthResultOpenApiVo.id) &&
        Objects.equals(this.formId, formAuthResultOpenApiVo.formId) &&
        Objects.equals(this.answers, formAuthResultOpenApiVo.answers) &&
        Objects.equals(this.time, formAuthResultOpenApiVo.time) &&
        Objects.equals(this.ssid, formAuthResultOpenApiVo.ssid) &&
        Objects.equals(this.network, formAuthResultOpenApiVo.network);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, formId, answers, time, ssid, network);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FormAuthResultOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    formId: ").append(toIndentedString(formId)).append("\n");
    sb.append("    answers: ").append(toIndentedString(answers)).append("\n");
    sb.append("    time: ").append(toIndentedString(time)).append("\n");
    sb.append("    ssid: ").append(toIndentedString(ssid)).append("\n");
    sb.append("    network: ").append(toIndentedString(network)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

